Loading ontology from local file does not seem functional
Description

Tried to use the logical/physical mapping of managed ontologies in Morpho, but the ontology did not load. Perhaps it needs to be
prefixed with file:\\ or some such. Will investigate.

History

#1 - 04/08/2011 03:57 PM - ben leinfelder

Local resources need file:// prepended in order to load.

This should probably be a file browser to make it easier to select a local resource.

This also assumes that any other ontologies that your local resource imports are either:

1. available at their URI

2. previously mapped to a local resource. All imported URIs must be mapped to local files if there is no internet connectivity or if the URIs do not
otherwise resolve to ontology contents.

This could be improved in that there are currently no prompts or error messages about unmapped URls if they fail to load.

#2 - 03/27/2013 02:29 PM - Redmine Admin
Original Bugzilla ID was 5135

#3 - 11/26/2013 08:57 AM - ben leinfelder

- Target version changed from Unspecified to sms-core-1.0.0

#4 - 11/26/2013 09:10 AM - ben leinfelder

- Target version changed from sms-core-1.0.0 to morpho-plugin-0.9.0
